com.google.common.eventbus

## Class SubscriberExceptionContext

- java.lang.Object
- - com.google.common.eventbus.SubscriberExceptionContext

-     public class SubscriberExceptionContext
      extends java.lang.Object

  Context for an exception thrown by a subscriber.
  Since:
    16.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getEvent()`
    `EventBus` | `getEventBus()`
    `java.lang.Object` | `getSubscriber()`
    `java.lang.reflect.Method` | `getSubscriberMethod()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEventBus

          public EventBus getEventBus()

      Returns:
        The `EventBus` that handled the event and the subscriber. Useful for broadcasting a a new event based on the error.

    - #### getEvent

          public java.lang.Object getEvent()

      Returns:
        The event object that caused the subscriber to throw.

    - #### getSubscriber

          public java.lang.Object getSubscriber()

      Returns:
        The object context that the subscriber was called on.

    - #### getSubscriberMethod

          public java.lang.reflect.Method getSubscriberMethod()

      Returns:
        The subscribed method that threw the exception.